com.jnape.palatable.lambda.monoid.builtin

## Class RunAll<A>

- java.lang.Object
- - com.jnape.palatable.lambda.monoid.builtin.RunAll<A>

- Type Parameters:
    `A` - the `IO` result
  All Implemented Interfaces:
    Fn1<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>>, Fn2<Monoid<A>,IO<A>,Fn1<IO<A>,IO<A>>>, Fn3<Monoid<A>,IO<A>,IO<A>,IO<A>>, MonoidFactory<Monoid<A>,IO<A>>, SemigroupFactory<Monoid<A>,IO<A>>, Applicative<Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<Monoid<A>,?>>, Cartesian<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<?,?>>, Cocartesian<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<?,?>>, Contravariant<Monoid<A>,Profunctor<?,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<?,?>>>, Functor<Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<Monoid<A>,?>>, Profunctor<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<?,?>>, Monad<Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<Monoid<A>,?>>, MonadReader<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<Monoid<A>,?>>, MonadRec<Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<Monoid<A>,?>>, MonadWriter<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>,Fn1<Monoid<A>,?>>

      public final class RunAll<A>
      extends Object
      implements MonoidFactory<Monoid<A>,IO<A>>

  Run `IO` operations, aggregating their results in terms of the provided `Monoid`.
  See Also:
    `RunAll`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Monoid<IO<A>>` | `checkedApply(Monoid<A> monoid)` Invoke this function with the given argument, potentially throwing any `Throwable`.
    `static <A> RunAll<A>` | `runAll()`
    `static <A> Monoid<IO<A>>` | `runAll(Monoid<A> monoid)`
    `static <A> Fn1<IO<A>,IO<A>>` | `runAll(Monoid<A> monoid, IO<A> x)`
    `static <A> IO<A>` | `runAll(Monoid<A> monoid, IO<A> x, IO<A> y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.MonoidFactory

      `apply, apply`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.SemigroupFactory

      `checkedApply`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn3

      `apply, checkedApply, compose, contraMap, diMapL, discardR, flip, fn3, fn3, fn3, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `curried, curry, fn2, fromBiFunction, toBiFunction`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Monoid<IO<A>> checkedApply(Monoid<A> monoid)

      Description copied from interface: `Fn2`
      Invoke this function with the given argument, potentially throwing any `Throwable`.
      Specified by:
        `checkedApply` in interface `Fn1<Monoid<A>,Fn1<IO<A>,Fn1<IO<A>,IO<A>>>>`
      Specified by:
        `checkedApply` in interface `Fn2<Monoid<A>,IO<A>,Fn1<IO<A>,IO<A>>>`
      Specified by:
        `checkedApply` in interface `MonoidFactory<Monoid<A>,IO<A>>`
      Specified by:
        `checkedApply` in interface `SemigroupFactory<Monoid<A>,IO<A>>`
      Parameters:
        `monoid` - the argument
      Returns:
        the result of the function application

    - #### runAll

          public static <A> RunAll<A> runAll()

    - #### runAll

          public static <A> Monoid<IO<A>> runAll(Monoid<A> monoid)

    - #### runAll

          public static <A> Fn1<IO<A>,IO<A>> runAll(Monoid<A> monoid,
                                                    IO<A> x)

    - #### runAll

          public static <A> IO<A> runAll(Monoid<A> monoid,
                                         IO<A> x,
                                         IO<A> y)